Subject: Re: bug#45973: replace-regexp lisp replacement bug

From: Juri Linkov <[email-masked]>
Date: Tue, 19 Jan 2021 20:14:58 +0200

tags 45973 fixed
close 45973 28.0.50
thanks

> Nicholas Drozd <[email-masked]> writes:
>> I tried to make a Lisp test to reproduce this, but the `\,`
>> replacement feature is interactive-only, and I don't know how to test
>> it non-interactively.

Thanks for the reproducible test case.

> The reproducer is:
>
> (replace-regexp "\\(\\(L\\)\\|\\(R\\)\\)" '(replace-eval-replacement replace-quote (if (match-string 2) "R" "L")) nil nil nil nil nil)
>
> So this is a problem with the new code that highlights the matches, I
> think?

Yep.  Now fixed on master.